| ghc-6.10.4: The GHC API | Contents | Index

CostCentre

Documentation
data CostCentre

Constructors

NoCostCentre |
NormalCC |

cc_name :: CcName |
cc_mod :: Module |
cc_is_dupd :: IsDupdCC |
cc_is_caf :: IsCafCC |

AllCafsCC |

cc_mod :: Module |

Instances

Eq CostCentre
Ord CostCentre
Outputable CostCentre
Binary CostCentre

type CcName = FastString
data IsDupdCC

Constructors

OriginalCC |
DupdCC |

Instances

Binary IsDupdCC

data IsCafCC

Constructors

CafCC |
NotCafCC |

Instances

Binary IsCafCC

data CostCentreStack

Instances

Eq CostCentreStack
Ord CostCentreStack
Outputable CostCentreStack

type CollectedCCs = ([CostCentre], [CostCentre], [CostCentreStack])
noCCS :: CostCentreStack
subsumedCCS :: CostCentreStack
currentCCS :: CostCentreStack
overheadCCS :: CostCentreStack
dontCareCCS :: CostCentreStack
noCostCentre :: CostCentre
noCCAttached :: CostCentre -> Bool
noCCSAttached :: CostCentreStack -> Bool
isCurrentCCS :: CostCentreStack -> Bool
isSubsumedCCS :: CostCentreStack -> Bool
currentOrSubsumedCCS :: CostCentreStack -> Bool
isDerivedFromCurrentCCS :: CostCentreStack -> Bool
maybeSingletonCCS :: CostCentreStack -> Maybe CostCentre
decomposeCCS :: CostCentreStack -> ([CostCentre], CostCentreStack)
mkUserCC :: FastString -> Module -> CostCentre
mkAutoCC :: Id -> Module -> IsCafCC -> CostCentre
mkAllCafsCC :: Module -> CostCentre
mkSingletonCCS :: CostCentre -> CostCentreStack
dupifyCC :: CostCentre -> CostCentre
pushCCOnCCS :: CostCentre -> CostCentreStack -> CostCentreStack
isCafCCS :: CostCentreStack -> Bool
isCafCC :: CostCentre -> Bool
isSccCountCostCentre :: CostCentre -> Bool
sccAbleCostCentre :: CostCentre -> Bool
ccFromThisModule :: CostCentre -> Module -> Bool
pprCostCentreCore :: CostCentre -> SDoc
costCentreUserName :: CostCentre -> String
cmpCostCentre :: CostCentre -> CostCentre -> Ordering
Produced by Haddock version 2.4.2